Bug 232194 - rip6_input() needs inp validation
Summary: rip6_input() needs inp validation
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: Bjoern A. Zeeb
URL:
Keywords: ipv6
Depends on:
Blocks: 232348
  Show dependency treegraph
 
Reported: 2018-10-12 00:21 UTC by Bjoern A. Zeeb
Modified: 2018-10-31 12:49 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bjoern A. Zeeb freebsd_committer 2018-10-12 00:21:54 UTC
After r335924  rip6_input() needs inp validation;  also XXX locking;  crosscheck with IPv4
Comment 1 Bjoern A. Zeeb freebsd_committer 2018-10-12 11:15:59 UTC
These are the two relevant legacy IP raw socket commits;  try to manage in one go hopefully;  also said that this reverts the locking parts of r183606.

https://svnweb.freebsd.org/base?view=revision&revision=335497
https://svnweb.freebsd.org/base?view=revision&revision=335501
Comment 2 Bjoern A. Zeeb freebsd_committer 2018-10-17 08:25:44 UTC
https://reviews.freebsd.org/D17594
Comment 3 commit-hook freebsd_committer 2018-10-24 13:12:16 UTC
A commit references this bug:

Author: bz
Date: Wed Oct 24 10:42:35 UTC 2018
New revision: 339682
URL: https://svnweb.freebsd.org/changeset/base/339682

Log:
  rip6_input() inp validation after epoch(9)

  After r335924 rip6_input() needs inp validation to avoid
  working on FREED inps.

  Apply the relevant bits from r335497,r335501 (rip_input() change)
  to the IPv6 counterpart.

  PR:			232194
  Reviewed by:		rgrimes, ae (,hps)
  MFC after:		3 days
  Differential Revision:	https://reviews.freebsd.org/D17594

Changes:
  head/sys/netinet6/raw_ip6.c
Comment 4 commit-hook freebsd_committer 2018-10-31 12:49:27 UTC
A commit references this bug:

Author: bz
Date: Wed Oct 31 12:49:19 UTC 2018
New revision: 339950
URL: https://svnweb.freebsd.org/changeset/base/339950

Log:
  MFC r339682:

    rip6_input() inp validation after epoch(9)

    After r335924 rip6_input() needs inp validation to avoid
    working on FREED inps.

    Apply the relevant bits from r335497,r335501 (rip_input() change)
    to the IPv6 counterpart.

  PR:			232194
    Reviewed by:	rgrimes, ae (,hps)

  Approved by:	re (kib)

Changes:
_U  stable/12/
  stable/12/sys/netinet6/raw_ip6.c